Skip to main content

Endpoint

View as Markdown

Endpoint object

namestring

Name of the AI Search endpoint

Example: docs-endpoint

creatorstring

Creator of the endpoint

Example: john@example.com

creation_timestampint64

Timestamp of endpoint creation

Example: 1702013512061

last_updated_timestampint64

Timestamp of last update to the endpoint

Example: 1702013512061

endpoint_typestring

Type of endpoint

Values:

  • STORAGE_OPTIMIZED
  • STANDARD
last_updated_userstring

User who last updated the endpoint

Example: john@example.com

idstring

Unique identifier of the endpoint

Example: c56bf0a9-4929-4bd4-8bd5-d82ca62f9c76

endpoint_statusobject

Current status of the endpoint

Show child attributesHide child attributes
statestring

Current state of the endpoint

Values:

  • PROVISIONING
  • ONLINE
  • OFFLINE
  • RED_STATE
  • YELLOW_STATE
  • DELETED

Example: PROVISIONING

messagestring

Additional status message

num_indexesint32

Number of indexes on the endpoint

budget_policy_idstringPublic Preview

The user-selected budget policy id for the endpoint.

effective_budget_policy_idstringPublic Preview

The budget policy id applied to the endpoint

Example: 8b0444ff-8b60-48b0-9d31-e391f6126e0f

scaling_infoobjectGA

Scaling information for the endpoint

Show child attributesHide child attributes
statestringBeta

The current state of the scaling change request.

Values:

  • SCALING_CHANGE_UNSPECIFIED
  • SCALING_CHANGE_APPLIED
  • SCALING_CHANGE_IN_PROGRESS

Example: SCALING_CHANGE_APPLIED

requested_target_qpsint64GA

The requested QPS target for the endpoint. Best-effort; the system does not guarantee this QPS will be achieved.

Example: 500

Get an endpoint GA

GET /api/2.0/vector-search/endpoints/{name}

Get details for a single AI Search endpoint.

API scopes: vector-search

Parameters

namestringRequiredpath

Name of the endpoint

Response

Returns the Endpoint object.

List all endpoints GA

GET /api/2.0/vector-search/endpoints

List all AI Search endpoints in the workspace.

API scopes: vector-search

Parameters

page_tokenstringquery

Token for pagination

Response

Returns a list of Endpoint objects.

Create an endpoint GA

POST /api/2.0/vector-search/endpoints

Create a new endpoint.

API scopes: vector-search

Request body

namestringRequired

Name of the AI Search endpoint

Example: docs-endpoint

endpoint_typestringRequired

Type of endpoint

Values:

  • STORAGE_OPTIMIZED
  • STANDARD
budget_policy_idstringPublic Preview

The budget policy id to be applied

Example: 8b0444ff-8b60-48b0-9d31-e391f6126e0f

target_qpsint64

Target QPS for the endpoint. Mutually exclusive with num_replicas. The actual replica count is calculated at index creation/sync time based on this value. Best-effort target; the system does not guarantee this QPS will be achieved.

Example: 100

Response

Returns the Endpoint object.

Update the budget policy of an endpoint Public Preview

PATCH /api/2.0/vector-search/endpoints/{name}/budget-policy

Update the budget policy of an endpoint

API scopes: vector-search

Parameters

namestringRequiredpath

Name of the AI Search endpoint

Request body

budget_policy_idstringRequired

The budget policy id to be applied

Example: 8b0444ff-8b60-48b0-9d31-e391f6126e0f

Response

budget_policy_idstring
effective_budget_policy_idstring

The budget policy applied to the AI Search endpoint.

Delete an endpoint GA

DELETE /api/2.0/vector-search/endpoints/{name}

Delete an AI Search endpoint.

API scopes: vector-search

Parameters

namestringRequiredpath

Name of the AI Search endpoint

Update an endpoint Public Preview

PATCH /api/2.0/vector-search/endpoints/{name}

Update an endpoint

API scopes: vector-search

Parameters

namestringRequiredpath

Name of the AI Search endpoint

Example: docs-endpoint

Request body

target_qpsint64

Target QPS for the endpoint. Best-effort; the system does not guarantee this QPS will be achieved.

Example: 100

Response

Returns the Endpoint object.